# Python bindings to the Aodh API

This is a client for Aodh API. There’s a Python API (the `aodhclient` module), and a command-line script (installed as aodh). Each implements the entire Aodh API.

See also

You may want to read the Aodh Developer Guide – the overview, at least – to get an idea of the concepts. By understanding the concepts this library should make more sense.

## Contents

- Installation
- The aodh shell utility
  - Examples
- The `aodhclient` Python API
  - Usage
  - Reference
- Contributing

## Indices and tables

- Index

- Module Index

- Search Page

this page last updated: 2026-02-27 14:13:32

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug